---
lang: en
title: 'API docs: repository.uniontype._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.uniontype._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [UnionType](./repository.uniontype.md) &gt; [(constructor)](./repository.uniontype._constructor_.md)

## UnionType.(constructor)

Constructs a new instance of the `UnionType` class

<b>Signature:</b>

```typescript
constructor(itemTypes: Type<any>[]);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  itemTypes | [Type](./repository.type.md)<!-- -->&lt;any&gt;\[\] |  |


